mz_logo

Multimedia & Technik
Freitag, 24. November 2017 10° 4

Internet

Viele WLAN-Geräte erhalten kein Sicherheitsupdate

In der WLAN-Verschlüsselung WPA2 klafft eine potenziell gefährliche Lücke. Deshalb veröffentlichen immer mehr Hersteller ihre „Patches“. Allerdings werden viele Geräte offenbar niemals ein heilendes Pflaster bekommen, befürchtet der Entdecker der Lücke.

Der belgische Sicherheitsforscher Mathy Vanhoef demonstriert in einem YouTube-Video die Sicherheitslücke KRACK im WLAN-Verschlüsselungsprotokoll WPA2. Foto: Christoph Dernbach

Löwen.Der belgische Sicherheitsforscher Mathy Vanhoef, der die gravierende Sicherheitslücke „KRACK“ in verschlüsselten WLAN-Netzwerken entdeckt hat, geht davon aus, dass etliche betroffene Geräte niemals ein Update bekommen werden.

„Da bin ich mir ziemlich sicher. Und das ist in der Tat ein Problem“, sagte der Informatiker im Podcast „Tech News Weekly“. Er forderte die Besitzer dieser fehlerhaften Geräte auf, sich bei den Herstellern zu melden und Sicherheitsupdates einzufordern.

„Wenn viele User sich beschweren, tut sich vielleicht etwas.“ Insbesondere Smartphones mit dem Betriebssystem Android werden von etlichen Herstellern schon nach wenigen Jahren nicht mehr mit Updates versorgt.

Mit der „KRACK“ getauften Attacke können Angreifer die WLAN-Verschlüsselung WPA2 aufbrechen und damit den Datenverkehr in einem WLAN belauschen und manipulieren.

Vanhoef kündigte ein Tool an, mit dem man überprüfen kann, ob das eigene Smartphone von der Sicherheitslücke betroffen ist oder der Fehler bereits durch ein Update der Systemsoftware geschlossen wurde. Wenn die Lücke noch klafft, sollten die Anwender beim Surfen im Web darauf achten, dass die Verbindung über HTTPS hergestellt werde. „Dann werden alle Daten ordentlich geschützt.“ Er suche mit seinen Kollegen aber auch noch nach Wegen, die möglichen Auswirkungen einer „KRACK“-Attacke zu vermindern, sagte Vanhoef. Dabei gehe es um den Schutz von Geräten, die nicht mit einem Update versorgt werden. „Daran arbeiten wir allerdings noch.“

In dem Podcast wies der belgische Forscher darauf hin, dass Angreifer eine Attacke auch aus größerer Entfernung ausüben könnten: „Man muss sich zwar in der Reichweite des Netzwerks aufhalten. Es gibt allerdings Spezial-Antennen, mit denen man sich aus größerer Entfernung mit einem WiFi-Netzwerk verbinden kann.“ Damit wäre es möglich, die Attacke auch aus einer Distanz von zwei oder sogar drei Kilometer zu starten.

Vanhoef sagte, ihm sei nicht bekannt, dass irgendwelche Hacker bereits über Tools verfügen, um die „KRACK“-Attacke auszuführen. „Es könnte aber sein, dass jemand schon so ein Programm geschrieben und noch nicht veröffentlicht hat.“ Die Programmierung einer Softwar, die der man die Attacke ausführen kann, setze einige technische Expertise voraus. „Daher könnte es noch einige Zeit dauern, bis so ein Tool programmiert wird. Es bleibt dann aber auch offen, ob so ein Tool dann auch publik wird. Wenn so ein Tool verfügbar wäre, könnten viele Leute eine KRACK-Attacke ausführen.“

Der Berliner Hersteller AVM kündigte am Freitag die Verfügbarkeit von Updates für seine WLAN-Repeater und Powerline-WLAN-Produkte bereit. Damit würden Schwachstellen des Protokolls in der WPA2-Aushandlung beseitigt und damit die Sicherheit erhöht, erklärte das Unternehmen. Die Updates stehen für unter https://avm.de/downloads zur Verfügung. Sie können auch über die jeweilige Benutzeroberfläche installiert werden. Der in Deutschland populäre Router von AVM, die Fritzbox am Breitbandanschluss, sei nicht von der WPA2-Schwäche betroffen.

Die Kommentarfunktion steht exklusiv unseren Abonnenten zur Verfügung. Als Abonnent melden Sie sich bitte an oder registrieren Sie sich. Alle anderen Nutzer finden preiswerte Angebote in unserem Aboshop.

Anmelden Registrieren Zum Abo-Shop

Sie sind noch nicht registriert?

Neu registrieren

MessageBox

Nachricht